<!DOCTYPE HTML>
<html lang="en-US">
<head>
	<title>Distro Wars: Gentoo Linux</title>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=1274, user-scalable=no">
	<link rel="stylesheet" href="themes/ribbon/styles/style.css">
	<!--
		To apply styles to the certain slides
		use slide ID to get needed elements
		-->
	<style>
		#Cover h2 {
			color:#FFF;
			text-align:center;
			font-size:70px;
			}
	</style>
</head>
<body class="list">
	<header class="caption">
		<h1>Distro Wars: Gentoo Linux</h1>
		<p>John Kristensen</p>
	</header>
	<div class="slide cover" id="Cover"><div>
		<section>
			<header>
				<h2>Distro Wars!</h2>
                <br />
				<h2>Gentoo Linux</h2>
			</header>
		</section>
	</div></div>
	<div class="slide" id="GentooLinux"><div>
		<section>
			<header>
				<h2>Gentoo Linux</h2>
			</header>
            <ul>
                <li><em>"version-less meta-distribution"</em></li>
                <li>packages compiled from source</li>
                <li>extremely customisable</li>
                <li>runs on either Linux or FreeBSD</li>
            </ul>
		</section>
	</div></div>
	<div class="slide" id="Installation"><div>
		<section>
			<header>
				<h2>Installation</h2>
			</header>
            <ul>
                <li>a mostly manual process</li>
                <li>bootstrap from minimal system</li>
                <li>set-up and configure the system by hand
                    <ul>
                        <li>ie. partitioning, filesystems, kernel, networking, environment, etc.</li>
                    </ul>
                </li>
            </ul>
		</section>
	</div></div>
	<div class="slide" id="Portage"><div>
		<section>
			<header>
				<h2>Portage</h2>
			</header>
            <ul>
                <li>similar to the BSD ports system</li>
                <li>packages managed using the <code>emerge</code> tool
                    <ul class="indent">
                        <li><strong>emerge --sync</strong><br />
                        <li><strong>emerge <em>&lt;package&gt;</em></strong></li>
                    </ul>
                </li>
                <li><code>ebuild</code> files define how packages are installed</li>
                <li><code>USE</code> flags are used to customise the packages</li>
            </ul>
		</section>
	</div></div>
	<div class="slide" id="Pros"><div>
		<section>
			<header>
				<h2>Pros</h2>
			</header>
            <ul>
                <li>excellent documentation</li>
                <li>great for learning the innards of GNU/Linux</li>
                <li>has some really nice management tools</li>
                    <ul>
                        <li>etc-update, eselect</li>
                    </ul>
                <li>"rolling release" / bleeding edge</li>
                <li>personally found that the system was less buggy (when working)</li>
            </ul>
		</section>
	</div></div>
	<div class="slide" id="Cons"><div>
		<section>
			<header>
				<h2>Cons</h2>
			</header>
            <ul>
                <li>updates can take a <strong>very</strong> long time</li>
                <li>important stuff breaks occasionally</li>
                <li>ZOMG! OPTIMISED!<sup>[<a href="http://en.wikipedia.org/wiki/Template:Citation_needed">citation needed</a>]</sup></li>
            </ul>
		</section>
	</div></div>
	<div class="slide" id="Questions"><div>
		<section>
			<header>
				<h2>Questions?</h2>
			</header>
            <p class="middle"><a href="https://web.archive.org/web/20121215144400/http://funroll-loops.info/">http://funroll-loops.info/</a></p>
		</section>
	</div></div>
	<!--
		To hide progress bar from entire presentation
		just remove “progress” element.
		-->
	<div class="progress"><div></div></div>
	<script src="scripts/script.js"></script>
	<!-- Copyright © 2010–2012 Vadim Makeev — pepelsbey.net -->
	<!-- Photos by John Carey — fiftyfootshadows.net -->
</body>
</html>
